import { world } from "@minecraft/server";
world.beforeEvents.worldInitialize.subscribe(event => {
    AltarInvoker.initialize(event);
});
class AltarInvoker {
    static initialize(event) { event.blockComponentRegistry.registerCustomComponent(this.componentName, new this()); }
    onPlayerInteract(arg) {
        /*
        const player = arg.player;
        if (!player) return;
        const form = new ActionFormData();
        form.title({ translate: 'nps_tbe:altar_invoker.title' });
        form.body({ translate: 'nps_tbe:altar_invoker.body' });
        form.button(Buttons.close.rawtext, Buttons.close.iconPath);
        form.show(player);
        */
    }
}
AltarInvoker.componentName = "nps_tbe:c3e1f8af";
